import request from "@/utils/request";
// 查机构
export function selectSpdList(data) {
    return request({
        url:"/web/mcsList/selectSpdList",
        method:"post",
        data
    })
}
// 采购订单受理查询待确认--供应商端
export function getMcsOrdPageSpler(data) {
    return request({
        url:"/web/purcOrd/getMcsOrdPageSpler",
        method:"post",
        data
    })
}
//  采购订单受理查询待确认详情--供应商端
export function getMcsDetlList(data) {
    return request({
        url:"/web/purcOrd/getMcsDetlList",
        method:"post",
        data
    })
}
// 采购订单受理查询待确认 受理确认
export function acpMcsOrd(data) {
    return request({
        url:"/web/purcOrd/acpMcsOrd",
        method:"post",
        data
    })
}

// 采购订单-已确认
export function getMcsOrdPageYqrSpler(data) {
    return request({
        url:"/web/purcOrd/getMcsOrdPageYqrSpler",
        method:"post",
        data
    })
}

// 供应商采购订单（待出库）
export function getMcsOrdDck(data) {
    return request({
        url:"/web/purcOrd/getMcsOrdDck",
        method:"post",
        data
    })
} 
// // 结束订单 /web/delvOrd/finishMcsDelvOrd
// export function finishMcsDelvOrd(data) {
//     return request({
//         url:"/web/delvOrd/finishMcsDelvOrd",
//         method:"post",
//         data
//     })
// } 
// 供应商采购订单（待出库详情）
export function getMcsOrdDckDetl(data) {
    return request({
        url:"/web/purcOrd/getMcsOrdDckDetl",
        method:"post",
        data
    })
}

// 供应商采购订单-出库操作
export function submitMcsDelvOrd(data) {
    return request({
        url:"/web/delvOrd/submitMcsDelvOrd",
        method:"post",
        data
    })
}

// 供应商采购订单-已出库汇总
export function getSplerMcsDelvOrdPage(data) {
    return request({
        url:"/web/delvOrd/getSplerMcsDelvOrdPage",
        method:"post",
        data
    })
}
// 供应商采购订单-已出库详情
export function getOrdDetlList(data) {
    return request({
        url:"/web/delvOrd/getMcsDetlList",
        method:"post",
        data
    })
}
// /web/purcOrd/getMcsPurcOrdMx 提取订单
export function getMcsPurcOrdMx(data) {
    return request({
        url:"/web/purcOrd/getMcsPurcOrdMx",
        method:"post",
        data
    })
}
        
// 订单复用 delvOrdId
export function selectDelvOrdCopy(data) {
    return request({
        url:"/web/delvOrd/selectDelvOrdCopy",
        method:"post",
        data
    })
}
// 结束订单 
export function finishMcsDelvOrd(data) {
    return request({
        url:"/web/delvOrd/finishMcsDelvOrd",
        method:"post",
        data
    })
}






// 采购订单受理
export function acpOrd(data) {
    return request({
        url:"/web/purcOrd/acpOrd",
        method:"post",
        data
    })
}
// 采购订单出库查询
// export function getOrdPageSplerUnStoOut(data) {
//     return request({
//         url:"/web/purcOrd/getOrdPageSplerUnStoOut",
//         method:"post",
//         data
//     })
// }

// 采购订单出库--保存出库信息
export function saveDelvOrd(data) {
    return request({
        url:"/web/delvOrd/saveDelvOrd",
        method:"post",
        data
    })
}
// 采购订单出库--提交出库信息
export function submitDelvOrd(data) {
    return request({
        url:"/web/delvOrd/submitDelvOrd",
        method:"post",
        data
    })
}
// 采购订单出库--结束订单
export function finishDelvOrd(data) {
    return request({
        url:"/web/delvOrd/finishDelvOrd",
        method:"post",
        data
    })
}
// 已出库订单查询
export function getSplerDelvOrdPage(data) {
    return request({
        url:"/web/delvOrd/getSplerDelvOrdPage",
        method:"post",
        data
    })
}
// 已出库订单明细查询
export function getDetlList(data) {
    return request({
        url:"/web/delvOrd/getDetlList",
        method:"post",
        data
    })
}
// 票据查询
export function getBillPage(data) {
    return request({
        url:"/web/billFile/getBillPage",
        method:"post",
        data
    })
}
// 药品退货列表
export function getRetnOrdInfo(data) {
    return request({
        url:"/web/stroom/getRetnOrdInfo",
        method:"post",
        data
    })
}
// 药品退货受理/驳回
export function acpRetnOrd(data) {
    return request({
        url:"/web/stroom/acpRetnOrd",
        method:"post",
        data
    })
}
// 配送企业药品退货记录查询
export function getRetnOrdSplerPage(data) {
    return request({
        url:"/web/stroom/getRetnOrdSplerPage",
        method:"post",
        data
    })
}
//查询页面机构查询条件接口
export function getALLOrgList(data) {
    return request({
        url:"/web/org/getALLOrgList",
        method:"post",
        data
    })
}
//查询医院列表(树结构)
export function getALLOrgTree(data) {
    return request({
        url:"/web/org/getALLOrgTree",
        method:"post",
        data
    })
}
//驳回汇总查询
export function getRejectData(data) {
    return request({
        url:"/web/delvOrd/getSplerDelvOrdRetn",
        method:"post",
        data
    })
}
//驳回重新提交
export function retnDelvOrdCommit(data) {
    return request({
        url:"/web/delvOrd/retnDelvOrdCommit",
        method:"post",
        data
    })
}